## subversion 1.4.6-maemo2

=== Makefile ===
#
# Makefile.in:  template Makefile for Subversion
#
# ====================================================================
# Copyright (c) 2000-2004 CollabNet.  All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution.  The terms
# are also available at http://subversion.tigris.org/license-1.html.
# If newer versions of this license are posted there, you may use a
# newer version instead, at your option.
#
# This software consists of voluntary contributions made by many
# individuals.  For exact contribution history, see the revision
# history and logs, available at http://subversion.tigris.org/.
# ====================================================================
#

top_builddir = .
top_srcdir = .
abs_builddir = /home/michael/svn_mehr_scratch/subversion-1.4.6
abs_srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6
VPATH = .

SVN_RA_LIB_DEPS = $(RA_LOCAL_DEPS) $(RA_SVN_DEPS) $(RA_DAV_DEPS)
SVN_RA_LIB_INSTALL_DEPS = install-ramod-lib install-dav-lib
SVN_RA_LIB_LINK = $(RA_LOCAL_LINK) $(RA_SVN_LINK) $(RA_DAV_LINK)

SVN_FS_LIB_DEPS = $(FS_FS_DEPS)
SVN_FS_LIB_INSTALL_DEPS = install-fsmod-lib
SVN_FS_LIB_LINK = $(FS_FS_LINK)

SWIG_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig
SWIG_BUILD_DIR = $(abs_builddir)/subversion/bindings/swig

SVN_EXTERNAL_PROJECT_SUBDIRS =  apr apr-util neon

SCHEMA_DIR = subversion/svn/schema

NEON_LIBS = $(abs_builddir)/neon/src/libneon.la
SVN_APR_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/apr/libapr-0.la -lrt -lm -lcrypt -lnsl  -lpthread -ldl
SVN_APRUTIL_LIBS =  /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/libaprutil-0.la -lexpat
SVN_DB_LIBS =
SVN_SERF_LIBS = 

LIBS =  -lz

prefix = /usr
exec_prefix = ${prefix}
libdir = ${exec_prefix}/lib
fsmod_libdir = ${exec_prefix}/lib
ramod_libdir = ${exec_prefix}/lib
dav_libdir = ${exec_prefix}/lib
bdb_libdir = ${exec_prefix}/lib
serf_libdir = ${exec_prefix}/lib
bindir = ${exec_prefix}/bin
includedir = ${prefix}/include
mandir = ${prefix}/man
srcdir = .
datadir = ${prefix}/share
localedir = ${datadir}/locale

# where to install libsvn_swig_*
swig_py_libdir = ${exec_prefix}/lib
swig_pl_libdir = ${exec_prefix}/lib
swig_rb_libdir = ${exec_prefix}/lib

### these possibly need further discussion
swig_pydir = ${exec_prefix}/lib/svn-python/libsvn
swig_pydir_extra = ${exec_prefix}/lib/svn-python/svn
swig_pldir = ${exec_prefix}/lib/svn-perl
swig_rbdir = $(SWIG_RB_SITE_ARCH_DIR)/svn/ext

javahl_javadir = ${exec_prefix}/lib/svn-javahl
javahl_javahdir = ${exec_prefix}/lib/svn-javahl/include
javahl_libdir = ${exec_prefix}/lib

MSGFMT = /scratchbox/tools/bin/msgfmt
MSGFMTFLAGS = -c
MSGMERGE = /scratchbox/tools/bin/msgmerge
XGETTEXT = /scratchbox/tools/bin/xgettext
TRANG = none

PACKAGE_NAME=subversion
PACKAGE_VERSION=1.4.6

CC = gcc
CXX = g++
EXEEXT = 

SHELL = /bin/sh
LIBTOOL = $(SHELL) /home/michael/svn_mehr_scratch/subversion-1.4.6/libtool
LTFLAGS = --tag=CC --silent
LTCXXFLAGS = --tag=CXX --silent
LT_LDFLAGS = 
LT_NO_UNDEFINED = 
LT_CXX_LIBADD = 

INCLUDES = -I$(top_srcdir)/subversion/include -I$(top_builddir)/subversion \
           -I$(abs_srcdir)/neon/src -I/usr/include/neon   \
            -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include   -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include  

APACHE_INCLUDES = 
APACHE_TARGET = 
APACHE_LIBEXECDIR = $(DESTDIR)
APACHE_LDFLAGS = 

SWIG = /scratchbox/devkits/maemo3-tools/bin/swig
SWIG_PY_INCLUDES = $(SWIG_INCLUDES) -I/scratchbox/tools/include/python2.3 -I$(SWIG_SRC_DIR)/python/libsvn_swig_py
SWIG_PY_COMPILE = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -fno-strict-aliasing -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC
SWIG_PY_LINK = /scratchbox/compilers/host-gcc/bin/gcc -specs=/scratchbox/compilers/host-gcc/host-gcc.specs -pthread -shared
SWIG_PY_LIBS = 
SWIG_PL_INCLUDES = $(SWIG_INCLUDES)  -D_REENTRANT -D_GNU_SOURCE -DTHREADS_HAVE_PIDS -DAPPLLIB_EXP="/host_usr/perl" -fno-strict-aliasing -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64  -I/scratchbox/tools/lib/perl5/5.8.4/i686-linux-thread-multi/CORE 
SWIG_RB_INCLUDES =  -I$(SWIG_SRC_DIR)/ruby/libsvn_swig_ruby
SWIG_RB_COMPILE = none
SWIG_RB_LINK = none
SWIG_RB_SITE_LIB_DIR = 
SWIG_RB_SITE_ARCH_DIR = 
SWIG_RB_TEST_VERBOSE = 
SWIG_RB_RI_DATADIR = $(DESTDIR)$(datadir)/ri/$(RUBY_MAJOR).$(RUBY_MINOR)/site

JAVAHL_INCLUDES= none -I$(abs_builddir)/subversion/bindings/java/javahl/include

SVN_APR_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include 
SVN_APR_PREFIX = /usr
SVN_APRUTIL_INCLUDES =  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include 
SVN_APRUTIL_PREFIX = 

SVN_SERF_INCLUDES = 
SVN_SERF_PREFIX = 

MKDIR = /scratchbox/tools/bin/install -c -d

# The EXTRA_ parameters can be used to pass extra flags at 'make' time.
CFLAGS = -Wall -g -O2   -pthread  -D_LARGEFILE64_SOURCE -DNE_LFS $(EXTRA_CFLAGS)
### A few of the CFLAGS (e.g. -Wmissing-prototypes, -Wstrict-prototypes,
### -Wmissing-declarations) are not valid for C++, and should be somehow
### suppressed (but they may come from httpd or APR).
CPPFLAGS =   -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE $(EXTRA_CPPFLAGS)
LDFLAGS =      $(EXTRA_LDFLAGS)

COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) $(INCLUDES)
COMPILE_CXX = $(CXX) $(CPPFLAGS) $(CFLAGS) $(CXXFLAGS) $(INCLUDES)
LT_COMPILE = $(LIBTOOL) $(LTFLAGS) --mode=compile $(COMPILE)

# special compilation for files destined for mod_dav_svn
COMPILE_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(APACHE_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for libsvn_swig_* (e.g. swigutil_*.c)
COMPILE_SWIG_PY = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) -DSWIGPYTHON $(CFLAGS) $(SWIG_PY_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_PL = $(LIBTOOL) $(LTFLAGS) --mode=compile $(CC) $(CPPFLAGS) $(CFLAGS) $(SWIG_PL_INCLUDES) $(INCLUDES) -o $@ -c
COMPILE_SWIG_RB = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(CFLAGS) $(SWIG_RB_INCLUDES) $(INCLUDES) -o $@ -c

# special compilation for files destined for javahl (i.e. C++)
COMPILE_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=compile $(COMPILE_CXX) $(JAVAHL_INCLUDES) -o $@ -c
COMPILE_JAVAHL_JAVAC = $(JAVAC) $(JAVAC_FLAGS)
COMPILE_JAVAHL_JAVAH = $(JAVAH)

LINK = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(libdir)

# special link rule for mod_dav_svn
LINK_APACHE_MOD = $(LIBTOOL) $(LTFLAGS) --mode=link $(CC) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) -rpath $(APACHE_LIBEXECDIR) -avoid-version -module $(APACHE_LDFLAGS)

# Compilation of SWIG-generated C source code
COMPILE_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_PY_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_PY_INCLUDES) -prefer-pic -c -o $@
COMPILE_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=compile $(SWIG_RB_COMPILE) $(CPPFLAGS) $(SWIG_INCLUDES) $(SWIG_RB_INCLUDES) -prefer-pic -c -o $@

# these commands link the wrapper objects into an extension library/module
LINK_PY_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_PY_LINK) $(SWIG_LDFLAGS) -rpath $(swig_pydir) -avoid-version -module
LINK_RB_WRAPPER = $(LIBTOOL) $(LTFLAGS) --mode=link $(SWIG_RB_LINK) $(SWIG_LDFLAGS) -rpath $(swig_rbdir) -avoid-version -module

LINK_JAVAHL_CXX = $(LIBTOOL) $(LTCXXFLAGS) --mode=link $(CXX) $(LT_LDFLAGS) $(CFLAGS) $(LDFLAGS) $(LT_CXX_LIBADD) -rpath $(libdir)

INSTALL = /scratchbox/tools/bin/install -c
INSTALL_LIB = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_FSMOD_LIB = $(INSTALL_LIB)
INSTALL_RAMOD_LIB = $(INSTALL_LIB)
INSTALL_BDB_LIB = $(INSTALL_LIB)
INSTALL_DAV_LIB = $(INSTALL_LIB)
INSTALL_SERF_LIB = $(INSTALL_LIB)
INSTALL_BIN = $(LIBTOOL) --mode=install $(INSTALL)
INSTALL_INCLUDE = $(INSTALL) -m 644
INSTALL_MOD_SHARED =  -i -S LIBEXECDIR="$(APACHE_LIBEXECDIR)" -a
INSTALL_MOD_STATIC = $(INSTALL) -m 644
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_LOCALE = $(INSTALL_DATA)

### this isn't correct yet
INSTALL_SWIG_PY = $(INSTALL_LIB)
INSTALL_SWIG_PY_LIB = $(INSTALL_LIB)
INSTALL_SWIG_PL_LIB = $(INSTALL_LIB)
INSTALL_SWIG_RB = $(INSTALL_LIB)
INSTALL_SWIG_RB_LIB = $(INSTALL_LIB)

INSTALL_JAVAHL_LIB = $(INSTALL_LIB)

# additional installation rules for the SWIG wrappers
INSTALL_EXTRA_SWIG_PY=\
  $(MKDIR) $(DESTDIR)$(swig_pydir); \
  $(MKDIR) $(DESTDIR)$(swig_pydir_extra); \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/svn/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir_extra); \
  done; \
  for i in $(abs_srcdir)/subversion/bindings/swig/python/*.py; do \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
  done; \
  if test "$(abs_srcdir)" != "$(abs_builddir)"; then \
    for i in $(abs_builddir)/subversion/bindings/swig/python/*.py; do \
      $(INSTALL_DATA) "$$i" $(DESTDIR)$(swig_pydir); \
    done; \
  fi; \
  $(PYTHON) -c 'import compileall; \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir)", 1, "$(swig_pydir)"); \
    compileall.compile_dir("$(DESTDIR)$(swig_pydir_extra)", 1, \
    "$(swig_pydir_extra)");'

# The path to generated and complementary source files for the SWIG
# bindings.
SWIG_PL_DIR = $(abs_builddir)/subversion/bindings/swig/perl
SWIG_PY_DIR = $(abs_builddir)/subversion/bindings/swig/python
SWIG_RB_DIR = $(abs_builddir)/subversion/bindings/swig/ruby

# The path to the source files for the SWIG bindings
SWIG_PL_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/perl
SWIG_PY_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/python
SWIG_RB_SRC_DIR = $(abs_srcdir)/subversion/bindings/swig/ruby

### Automate JAR creation using Makefile generator's javahl-java.jar
### property.  Enhance generator to support JAR installation.
INSTALL_EXTRA_JAVAHL_JAVA=\
	$(JAR) cf subversion/bindings/java/javahl/svn-javahl.jar -C subversion/bindings/java/javahl/classes org; \
	$(INSTALL_DATA) subversion/bindings/java/javahl/svn-javahl.jar $(DESTDIR)$(javahl_javadir);

INSTALL_EXTRA_JAVAHL_LIB=

INSTALL_EXTRA_SWIG_RB=\
  @echo $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  $(MKDIR) $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  for i in $(abs_srcdir)/subversion/bindings/swig/ruby/svn/*.rb; do \
    echo $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
    $(INSTALL_DATA) "$$i" $(DESTDIR)$(SWIG_RB_SITE_LIB_DIR)/svn; \
  done

APXS =  

PYTHON = /scratchbox/tools/bin/python
PERL = /scratchbox/tools/bin/perl

JDK = none
JAVA = 
JAVAC = none
JAVAC_FLAGS = 
JAVAH = none
JAR = none

JAVA_CLASSPATH=
javahl_java_CLASSPATH=$(JAVA_CLASSPATH)
javahl_tests_CLASSPATH=$(JAVA_CLASSPATH)

RUBY = none
RUBY_MAJOR = 
RUBY_MINOR = 
RDOC = 

ECHO_C = 
ECHO_N = -n

TESTS = $(TEST_PROGRAMS) 

all: external-all local-all
clean: external-clean local-clean
distclean: external-distclean local-distclean
extraclean: external-extraclean local-extraclean
install: external-install local-install revision-install

include $(top_srcdir)/build-outputs.mk

local-all: fsmod-lib ramod-lib lib bin test  dav-lib locale

locale-gnu-pot:
	cd $(abs_srcdir) && XGETTEXT="$(XGETTEXT)" MSGMERGE="$(MSGMERGE)" \
	  tools/po/po-update.sh pot

# "make locale-gnu-po-update" updates all translations.
# "make locale-gnu-po-update PO=ll" updates only the ll.po file.
locale-gnu-po-update:
	cd $(abs_srcdir) && XGETTEXT="$(XGETTEXT)" MSGMERGE="$(MSGMERGE)" \
	  tools/po/po-update.sh $(PO)

# clean everything but the bulky test output, returning the system back
# to before 'make' was run.
fast-clean: doc-clean
	@list='$(BUILD_DIRS)'; for i in $$list; do                   \
            echo "Cleaning $$i ..." ;                                \
            (cd $$i && rm -f *.o *.lo *.la *.la-a *.spo *.mo && \
             rm -rf .libs) ; \
        done
	rm -f $(CLEAN_FILES)
	find $(abs_srcdir) -name "*.pyc" -exec rm {} ';'

# clean all but bulky test output, returning to before './configure' was run.
