=== BUILD/apr-util/Makefile ===
# Generated automatically from Makefile.in by configure.
#
# Top-level Makefile for APRUTIL
#
CPP = gcc -E

# gets substituted into some targets
APRUTIL_MAJOR_VERSION=0
APRUTIL_DOTTED_VERSION=0.9.16

srcdir = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/include/private -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib
APRUTIL_LDFLAGS = -L/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib
APRUTIL_LIBS = /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/xml/expat/lib/libexpat.la /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr/libapr-0.la -lrt -lm -lcrypt -lnsl -lpthread -ldl

TARGET_LIB = libaprutil-${APRUTIL_MAJOR_VERSION}.la
INSTALL_SUBDIRS = xml/expat

TARGETS = delete-lib $(TARGET_LIB) delete-exports aprutil.exp export_vars.h

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util/build/rules.mk

SUBDIRS = buckets crypto dbm encoding hooks ldap uri xml misc strmatch xlate
CLEAN_SUBDIRS = test

CLEAN_TARGETS = exports.c export_vars.h aprutil.exp apu-config.out
DISTCLEAN_TARGETS = config.cache config.log config.status libtool \
	include/private/apu_config.h include/private/apu_private.h \
	include/private/apu_select_dbm.h include/apr_ldap.h include/apu.h \
	export_vars.sh apu-config build/rules.mk include/apu_want.h
EXTRACLEAN_TARGETS = configure aclocal.m4 include/private/apu_config.h.in

prefix=/usr/
exec_prefix=${prefix}
bindir=${exec_prefix}/bin
libdir=${exec_prefix}/lib
includedir=${prefix}/include/apr-${APRUTIL_MAJOR_VERSION}
top_srcdir=/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util
top_blddir=/home/michael/svn_mehr_scratch/subversion-1.4.6/BUILD/apr-util

EXPORT_FILES = $(top_srcdir)/include/*.h

delete-lib:
	@if test -f $(TARGET_LIB); then \
	    objects="`find $(SUBDIRS) -name expat -prune -o -name '*.lo' -a -newer $(TARGET_LIB) -print`" ; \
	    if test -n "$$objects"; then \
		echo Found newer objects. Will relink $(TARGET_LIB). ; \
		echo $(RM) -f $(TARGET_LIB) ; \
		$(RM) -f $(TARGET_LIB) ; \
	    fi; \
	fi

apu-config.out: apu-config
	sed 's,^\(location=\).*$$,\1installed,' < apu-config > $@

install: $(TARGET_LIB) apu-config.out
install: $(TARGET_LIB)
	if [ ! -d $(DESTDIR)$(includedir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(includedir); \
	fi;
	cp -p $(top_srcdir)/include/*.h $(DESTDIR)$(includedir)

	if [ -n "$(top_blddir)" ]; then \
		cp -p $(top_blddir)/include/*.h $(DESTDIR)$(includedir); \
	fi;
	if [ ! -d $(DESTDIR)$(libdir) ]; then \
	    $(APR_MKDIR) $(DESTDIR)$(libdir); \
	fi;
	list='$(INSTALL_SUBDIRS)'; for i in $$list; do \
		( cd $$i ; $(MAKE) DESTDIR=$(DESTDIR) install ); \
	done
	$(LIBTOOL) --mode=install cp $(TARGET_LIB) $(DESTDIR)$(libdir)
	$(LIBTOOL) --mode=install cp aprutil.exp $(DESTDIR)$(libdir)
	if [ ! -d $(DESTDIR)$(bindir) ]; then \
		$(APR_MKDIR) $(DESTDIR)$(bindir); \
	fi;
	$(LIBTOOL) --mode=install cp apu-config.out $(DESTDIR)$(bindir)/apu-config
	chmod 755 $(DESTDIR)$(bindir)/apu-config

$(TARGET_LIB):
	@objects="`find $(SUBDIRS) -name expat -prune -o -name 'gen_uri_delims.lo' -prune -o -name '*.lo' -print`"; \
	    tmpcmd="$(LINK) -rpath $(libdir) $$objects "; \
	    echo $$tmpcmd; \
	    $$tmpcmd && touch $@

delete-exports:
	@if test -f aprutil.exp; then \
	    headers="`find include/*.h -newer aprutil.exp -print`" ; \
	    if test -n "$$headers"; then \
		echo Found newer headers. Will rebuild aprutil.exp. ; \
		echo $(RM) -f aprutil.exp ; \
		$(RM) -f aprutil.exp ; \
	    fi \
	fi

exports.c:
	$(APR_MKEXPORT) $(EXPORT_FILES) > $@

export_vars.h:
	$(APR_MKVAREXPORT) $(EXPORT_FILES) > $@

aprutil.exp: exports.c export_vars.h
	@echo "#! libaprutil-${APRUTIL_MAJOR_VERSION}.so" > $@
	@echo "* This file was AUTOGENERATED at build time." >> $@
	@echo "* Please do not edit by hand." >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) exports.c | grep "ap_hack_" | sed -e 's/^.*[)]\(.*\);$$/\1/' >> $@
	$(CPP) $(ALL_CPPFLAGS) $(ALL_INCLUDES) export_vars.h | sed -e 's/^\#[^!]*//' | sed -e '/^$$/d' >> $@

dox:
	doxygen $(top_srcdir)/docs/doxygen.conf

check: $(TARGET_LIB)
	(cd test && $(MAKE) check)


.PHONY: delete-lib delete-exports
.NOTPARALLEL: delete-lib delete-exports
