=== apr-util/buckets/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/buckets

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include   

TARGETS = apr_buckets_file.lo apr_buckets_pool.lo apr_buckets_flush.lo \
          apr_buckets_refcount.lo apr_buckets_heap.lo apr_buckets_simple.lo \
          apr_buckets.lo apr_buckets_mmap.lo apr_buckets_socket.lo \
          apr_buckets_eos.lo apr_buckets_pipe.lo apr_brigade.lo \
          apr_buckets_alloc.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk
