=== apr-util/crypto/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/crypto

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_sha1.lo apr_md4.lo apr_md5.lo uuid.lo getuuid.lo 

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk
