=== apr-util/dbm/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/dbm

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_dbm.lo apr_dbm_berkeleydb.lo apr_dbm_gdbm.lo apr_dbm_sdbm.lo apr_dbm_ndbm.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk

SUBDIRS = sdbm .
