=== apr-util/encoding/Makefile ===
# Generated automatically from Makefile.in by configure.
VPATH = /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/encoding

INCLUDES = -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/include/private  -I/home/michael/svn_mehr_scratch/subversion-1.4.6/apr/include  

TARGETS = apr_base64.lo

# bring in rules.mk for standard functionality
include /home/michael/svn_mehr_scratch/subversion-1.4.6/apr-util/build/rules.mk
