=== debian/changelog ===
subversion (1.4.6-maemo2) unstable; urgency=low

  * Rebuild for fremantle.

 -- Marius Gedminas <marius@gedmin.as>  Fri, 11 Dec 2009 01:03:13 +0100
