=== debian/control ===
Source: subversion
Section: user/programming
Priority: optional
Maintainer: Michael Arndt <scriptkiller@gmx.de>
Build-Depends: debhelper (>= 4.0.0), zlib1g-dev (>= 1.2.3-9), libexpat1-dev (>= 1.95.8-4), libssl-dev (>= 0.9.8e-9)
Standards-Version: 3.6.0

Package: subversion
Architecture: any
Depends: ${shlibs:Depends}
Provides: subversion
Description:  Advanced version control system
 Subversion, also known as svn, is a version control system much like
 the Concurrent Versions System (CVS).  Version control systems allow
 many individuals (who may be distributed geographically) to
 collaborate on a set of files (typically source code).  Subversion has
 all the major features of CVS, plus certain new features that CVS
 users often wish they had.
 .
 This package includes the Subversion client (svn), tools to create a
 Subversion repository (svnadmin) and to make a repository available
 over a network (svnserve).
 .
 Homepage: http://subversion.tigris.org
